package com.atlassian.bitbucket.mesh.git.builder.catfile;

import com.atlassian.bitbucket.mesh.git.builder.GitProcessBuilder;

import javax.annotation.Nonnull;

public class DefaultGitCatFilePrettyBuilder
        extends AbstractObjectGitCatFileBuilder<GitCatFilePrettyBuilder>
        implements GitCatFilePrettyBuilder {

    public DefaultGitCatFilePrettyBuilder(GitProcessBuilder builder) {
        super(builder, CatFileFormat.PRETTY);
    }

    @Nonnull
    @Override
    protected GitCatFilePrettyBuilder self() {
        return this;
    }
}
